%define upstream_name Crypt_RC42
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name:		php-pear-%{upstream_name}
Version: 	0.9.0
Release: 	%mkrel 9
Summary: 	Encryption class for RC4 encryption for PHP 5
License: 	PHP
Group: 		Networking/Mail
URL: 		http://pear.php.net/package/Crypt_RC42
Source0: 	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch: 	noarch
BuildRequires:	php-pear >= 1.4.7
Obsoletes:	php-pear-Crypt_Rc4

%description
RC4 encryption class for PHP 5

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Crypt_RC42.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Crypt_RC42.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Crypt_RC42
fi

%files
%doc docs/Crypt_RC42/*
%{peardir}/*
%{xmldir}/Crypt_RC42.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-9.mga8
+ Revision: 1498727
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.9.0-8.mga7
+ Revision: 1273104
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.9.0-7.mga6
+ Revision: 930763
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-6.mga5
+ Revision: 749654
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.9.0-5.mga5
+ Revision: 734037
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 687203
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 516589
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 375961
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 02 2011 spuhler <spuhler> 0.9.0-1.mga2
+ Revision: 175053
- imported package php-pear-Crypt_RC42

